Share via


Webhook - Get

Retrieve the webhook identified by webhook name.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/webhooks/{webhookName}?api-version=2024-10-23

URI Parameters

Name In Required Type Description
automationAccountName
path True

string

The name of the automation account.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

webhookName
path True

string

The webhook name.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Webhook

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get webhook

Sample request

GET https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount33/webhooks/TestWebhook?api-version=2024-10-23

Sample response

{
  "name": "TestWebhook",
  "id": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount33/webhooks/TestWebhook",
  "properties": {
    "creationTime": "2017-03-29T22:18:14.6651862+00:00",
    "expiryTime": "2018-03-29T22:18:13.7002872+00:00",
    "isEnabled": true,
    "lastInvokedTime": null,
    "lastModifiedBy": "",
    "lastModifiedTime": "2017-03-29T22:18:14.6651862+00:00",
    "parameters": null,
    "runOn": null,
    "runbook": {
      "name": "TestRunbook"
    },
    "uri": ""
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RunbookAssociationProperty

The runbook property associated with the entity.

systemData

Metadata pertaining to creation and last modification of the resource.

Webhook

Definition of the webhook type.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RunbookAssociationProperty

The runbook property associated with the entity.

Name Type Description
name

string

Gets or sets the name of the runbook.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

Webhook

Definition of the webhook type.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.creationTime

string (date-time)

Gets or sets the creation time.

properties.description

string

Gets or sets the description.

properties.expiryTime

string (date-time)

Gets or sets the expiry time.

properties.isEnabled

boolean

Gets or sets the value of the enabled flag of the webhook.

properties.lastInvokedTime

string (date-time)

Gets or sets the last invoked time.

properties.lastModifiedBy

string

Details of the user who last modified the Webhook

properties.lastModifiedTime

string (date-time)

Gets or sets the last modified time.

properties.parameters

object

Gets or sets the parameters of the job that is created when the webhook calls the runbook it is associated with.

properties.runOn

string

Gets or sets the name of the hybrid worker group the webhook job will run on.

properties.runbook

RunbookAssociationProperty

Gets or sets the runbook the webhook is associated with.

properties.uri

string

Gets or sets the webhook uri.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"